﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices.AdomdClient;

namespace MetadatenAbrufen
{
    class MetadatenAusgabe
    {
        static void Main(string[] args)
        {
           AdomdConnection conn = new AdomdConnection();
            try
            {

                conn.ConnectionString = "Data Source=local;Catalog= Adventure Works DW 2008 SE";
                conn.Open();
       
            foreach (CubeDef cub in conn.Cubes)
            {
                if(!cub.Name.StartsWith("$")){
                System.Console.WriteLine(cub.Name);
                foreach (Measure meas in cub.Measures)
                {
                    System.Console.WriteLine("\t" + meas.Name);
                    foreach (Property prop in meas.Properties)
                    {
                        
                        System.Console.WriteLine("\t\t" + prop.Name + "  :" + prop.Value);
                    }
                }
                }
            }       
            }

        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);
        }
        finally
        {
            if (conn.State == System.Data.ConnectionState.Open)
            {
                conn.Close();
            }
        }
            Console.ReadLine();
        }
        
    }
}
