using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices;


namespace Backup_Restore
{
    class Ba_Re
    {
        static void Main(string[] args)
        {
            Server serv = new Server();
            serv.Connect("local");
            if (serv.Connected)
            {
                sichern(serv);
                Console.WriteLine("Zum Starten des Wiederherstellens besttigen Sie mit ENTER");
                Console.ReadLine();
                wiederherstellen(serv); 
            }
            serv.Disconnect();
            Console.ReadLine();
        }
        static void sichern(Server serv)
        {
            foreach (Database db in serv.Databases)
            {

                if (db.LastUpdate.Date == (DateTime.Today))
                {
                    string fname = "C:/Backup/" + db.Name + DateTime.Now.ToFileTime() + ".abf";
                    BackupInfo bi = new BackupInfo();
                    bi.File = fname;
                    bi.Password = "xxx";
                    db.Backup(bi);
                    Console.WriteLine("Gesichert: " + db.Name);


                }
            }
        }
        static void wiederherstellen(Server serv)
        {
            RestoreInfo ri = new RestoreInfo();
            ri.File = "C:/Backup/NewDB.abf";
            ri.DatabaseName = "backNewDB";
            ri.AllowOverwrite = true;
            ri.Password = "xxx";
            serv.Restore(ri);
            Console.WriteLine("Wiederherstellung beendet");
        }
    }
}
