﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using Microsoft.AnalysisServices.AdomdServer;

namespace Cs_Erweiterungen
{
    [PlugInAttribute]
    public class CallBack
    {
        public  CallBack()
        {
            Context.Server.SessionOpened += new EventHandler(Server_SessionOpened);
            Context.Server.SessionClosing += new EventHandler(Server_SessionClosing);
        }

        public void Server_SessionClosing(object sender, EventArgs e)
        {
      }

        public void Server_SessionOpened(object sender, EventArgs e)
        {
            new SessionManager();
        }
    }
    
class SessionManager{
   public SessionManager()
    {
        Context.CurrentConnection.CubeOpened += new EventHandler(CurrentConnection_CubeOpened);

    }

    void CurrentConnection_CubeOpened(object sender, EventArgs e)
    {
        String user = Context.CurrentConnection.User.Name;
        String cube=Context.CurrentCube.Name;
        AdomdCommand c = new AdomdCommand(
                                           "Create Member [" + cube + "].Measures.[" + user + "] as " + user.GetHashCode() );
        c.ExecuteNonQuery();
        c.Dispose();
        //Context.CurrentCube.Measures[1].
     

    } 
    }

}
