﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using Microsoft.AnalysisServices.AdomdClient;

namespace CommandExecute
{
    class CommandExecute
    {
        static void Main(string[] args)
        {
            AdomdConnection conn = new AdomdConnection();
            try
            {

conn.ConnectionString = "Data Source=local;Catalog= Adventure Works DW 2008 SE";
conn.Open();
string sessionID=conn.SessionID;
AdomdCommand cmd = conn.CreateCommand();
cmd.CommandText = "Create Member [Adventure Works].[Measures].[hundert] as 100";
cmd.ExecuteNonQuery();


cmd.CommandText="<Backup xmlns=\"http://schemas.microsoft.com/analysisservices/2003/engine\">"
                +" <Object>"
                +"    <DatabaseID>Adventure Works DW 2008 SE</DatabaseID>"
                +" </Object>"
                +" <File>c:\\temp\\Adventure_BACKUP.abf</File>"
                +" <AllowOverwrite>true</AllowOverwrite>"
                +"</Backup>";
cmd.ExecuteNonQuery();
conn.Close(false);
conn.ConnectionString = "Data Source=local;Catalog= Adventure Works DW 2008 SE ;SessionID=" + sessionID;
conn.Open();
cmd.CommandText = "Select [Measures].[hundert] on 0 from [Adventure Works]";
AdomdDataReader ergebnis = cmd.ExecuteReader();
DataTable metaTable = ergebnis.GetSchemaTable();
foreach (DataRow metaRow in metaTable.Rows)
{
    Console.WriteLine(metaRow["ColumnName"]);
}
while (ergebnis.Read())
{
    for (int i = 0; i < ergebnis.FieldCount; i++)
    {
        if (ergebnis.IsDBNull(i))
        {
            Console.WriteLine("NULL ");
        }
        else
        {
            Console.WriteLine(ergebnis.GetString(i));
        }
    }

}
ergebnis.Close();


               
            }

            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            finally
            {
                if (conn.State == System.Data.ConnectionState.Open)
                {
                    conn.Close();
                }
            }
            Console.ReadLine();
        }

    }
}
