﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices.AdomdClient;
using System.Data;

namespace SchemaRowsetMetadaten
{
    class MetadatenAusgabe
    {
        static void Main(string[] args)
        {
           AdomdConnection conn = new AdomdConnection();
            try
            {
               
                conn.ConnectionString = "Data Source=local;Catalog= Adventure Works DW 2008 SE";
                conn.Open();
                AdomdRestrictionCollection rest = new AdomdRestrictionCollection();
                AdomdRestriction r = new AdomdRestriction("SESSION_USER_NAME", "NT-AUTORITÄT\\IUSR");
                rest.Add(r);
                DataSet ds = conn.GetSchemaDataSet("DISCOVER_SESSIONS", rest);
                ds.WriteXml("C:\\temp\\schema.xml");
                Console.WriteLine("Schema nach C:\\temp\\schema.xml geschrieben.");
            }

        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);
        }
        finally
        {
            if (conn.State == System.Data.ConnectionState.Open)
            {
                conn.Close();
            }
        }
            Console.ReadLine();
        }
        
    }
}
