using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices;

namespace XMLA
{
    class CaptureXML
    {
        static void Main(string[] args)
        {
             Server serv = new Server();
            serv.Connect("local");
            if (serv.Connected)
            {
                serv.CaptureXml = true;
                if (serv.Traces.FindByName("myTrace") != null)
                {
                    serv.Traces.FindByName("myTrace").Drop();
                }
                Trace tc = serv.Traces.Add("myTrace");
                tc.AutoRestart = false;
                tc.LogFileName = "C:/Trace/myTrace.trc";
                tc.LogFileSize = 20;//Megabyte
                tc.LogFileRollover = true;
                TraceEvent te = tc.Events.Add(TraceEventClass.QueryBegin);
                te.Columns.Add(TraceColumn.TextData);
                tc.Update();
                Console.WriteLine( serv.ConcatenateCaptureLog(true, true));
                Console.ReadLine();
            }
        }
    }
}
